# $Progeny$

# Override default CFLAGS from build.mk.
CFLAGS=			@CFLAGS@ @CHECK_CFLAGS@

all:

check: test
	@cd ${srcdir}/data && ${abs_builddir}/test

###############################################################################
# Build

test_SOURCES=		device.c main.c xml.c
test_OBJS=		device.lo main.lo xml.lo
test_LIBS=		${top_builddir}/lib/libdiscover.la ${LIBS} ${CHECK_LIBS}

test: ${test_OBJS} ${top_builddir}/lib/libdiscover.la ${libportability}
	${LTLINK} -o $@ ${test_OBJS} ${test_LIBS}

###############################################################################
# Clean

clean_FILES=		test ${test_OBJS}
distclean_FILES=	Makefile

clean:
	${LTCLEAN} ${clean_FILES}

distclean:
	${LTCLEAN} ${clean_FILES} ${distclean_FILES}

maintainer-clean:
	${LTCLEAN} ${clean_FILES} ${distclean_FILES}

###############################################################################
# Installation

install:
uninstall:

###############################################################################
# Distribution

DISTFILES=		Makefile.in data ${test_SOURCES} test.h

distdir: ${DISTFILES}
	${top_srcdir}/buildtools/distdir ${distdir}/${_THISDIR_} ${DISTFILES}
	# Avoid subversion directories in the tarball.
	find ${distdir}/${_THISDIR_} -type d -name .svn |xargs rm -rf
